# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify Alma, CentOS, CentOS Stream and Rocky Linux as rhel
%if "%{__distinit}" == "a" || "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "cs" || "%{__distinit}" == "rl"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Lingua-EN-Inflect
Version:	1.905
Release:	8.%{__distinit}%{__distvers}
Summary:	Convert singular to plural, select "a" or "an"
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Lingua-EN-Inflect
Source0:	https://cpan.metacpan.org/modules/by-module/Lingua/Lingua-EN-Inflect-%{version}.tar.gz
BuildArch:	noarch
# Build:
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Runtime:
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(vars)
# Tests:
BuildRequires:	perl(Test::More)
# Dependencies:
%if 0%{?fedora} < 38 && 0%{?rhel} < 10
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%endif
Requires:	perl(Carp)

%description
%{summary}.

%prep
%setup -q -n Lingua-EN-Inflect-%{version}
chmod -c -x Changes lib/Lingua/EN/Inflect.pm

%build
perl Makefile.PL INSTALLDIRS=vendor
make

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/Lingua/
%{_mandir}/man3/Lingua::EN::Inflect.3*

%changelog
* Tue Jul 18 2023 Paul Howarth <paul@city-fan.org> - 1.905-8
- Use SPDX-format license tag

* Thu Dec 10 2020 Paul Howarth <paul@city-fan.org> - 1.905-1
- Update to 1.905
  - Removed gratuitous use of Env.pm

* Mon Apr 29 2019 Paul Howarth <paul@city-fan.org> - 1.904-1
- Update to 1.904
  - Corrected 'cyclops', 'triceratops', etc.
- Switch upstream from search.cpan.org to metacpan.org

* Mon Oct 30 2017 Paul Howarth <paul@city-fan.org> - 1.903-1
- Update to 1.903
  - Various bugs in documentation code debugged

* Tue May 30 2017 Paul Howarth <paul@city-fan.org> - 1.902-1
- Update to 1.902
  - Noted the new conversion documentation in Lingua::EN::Inflexion
- Drop support for EOL distributions prior to F-13
  - Drop BuildRoot: and Group: tags
  - Drop explicit buildroot cleaning in %%install section
  - Drop explicit %%clean section

* Sun Jan  1 2017 Paul Howarth <paul@city-fan.org> - 1.901-1
- Update to 1.901
  - Removed Build.PL

* Thu Jul 28 2016 Paul Howarth <paul@city-fan.org> - 1.900-1
- Update to 1.900
  - Fixed POD example
  - Fixed recalcitrant doc nit
- BR: perl-generators where available
- Simplify find command using -delete

* Mon Jun 15 2015 Paul Howarth <paul@city-fan.org> - 1.899-2
- Perl 5.22 rebuild

* Wed May  6 2015 Paul Howarth <paul@city-fan.org> - 1.899-1
- Update to 1.899
  - Fixed bug in ORD() where huge integers (in strings) were downgraded to
    floating point before being (incorrectly) inflected

* Tue May  5 2015 Paul Howarth <paul@city-fan.org> - 1.897-1
- Update to 1.897
  - Noted "print NUMWORDS($num)" gotcha in documentation
  - Fixed undef var bug in t/no_commas.t
  - Fixed words-below tests on things that aren't really numbers
  - Removed unneeded dependency on version
  - Doc nit knitted
  - Added a pointer to Lingua::EN::Inflexion
  - Fixed another POD nit
  - Removed second authorship attribution as requested
  - Vastly improved NUMWORDS
- Drop %%defattr, redundant since rpm 4.4

* Fri Dec 20 2013 Paul Howarth <paul@city-fan.org> - 1.895-4
- Import from Fedora

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.895-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 18 2013 Petr Pisar <ppisar@redhat.com> - 1.895-2
- Perl 5.18 rebuild

* Tue Feb 26 2013 Petr Pisar <ppisar@redhat.com> - 1.895-1
- 1.895 bump

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.892-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.892-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jun 11 2012 Petr Pisar <ppisar@redhat.com> - 1.892-6
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.892-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Jun 17 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.892-4
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.892-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.892-2
- Rebuild to fix problems with vendorarch/lib (#661697)

* Mon Jul 12 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.892-1
- Update to 1.892

* Sun May 02 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.89-12
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 1.89-11
- Rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.89-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.89-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.89-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 27 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.89-7
- Rebuild for perl 5.10 (again)

* Tue Jan 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> 1.89-6
- Rebuild for new perl

* Sun Aug 26 2007 Tom "spot" Callaway <tcallawa@redhat.com> 1.89-5
- License fix

* Fri Sep 15 2006 Tom "spot" Callaway <tcallawa@redhat.com> 1.89-4
- Bump for fc6

* Fri Jul 29 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.89-3
- chmod -x files that don't need to be executable (hooray upstream)
- Own Lingua directory correctly

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.89-2
- Cleanups

* Wed Jul  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 1.89-1
- Initial package for Fedora Extras
